## org.metaabm.validation
Interface IValueValidator

    public interface IValueValidator

A sample validator interface for `IValue`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateAccessors(org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> value)`
`boolean` `validateAvailableTypes(org.eclipse.emf.common.util.EList<SAttributeType> value)`

Method Detail

### validate

    boolean validate()

### validateAccessors

    boolean validateAccessors(org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> value)

### validateAvailableTypes

    boolean validateAvailableTypes(org.eclipse.emf.common.util.EList<SAttributeType> value)